/*
	ASCII MSX2 with DEMPA Sensor Kid Emulator 'yayaMSX2SK'

	Author : umaiboux
	Date   : 2014.12.xx-

	[ RTCIF ]
*/

#ifndef _RTCIF_H_
#define _RTCIF_H_

#include "../vm.h"
#include "../../emu.h"
#include "../device.h"

class RTCIF : public DEVICE
{
private:
	DEVICE *d_rtc;
	uint8 adrs;
		
public:
	RTCIF(VM* parent_vm, EMU* parent_emu) : DEVICE(parent_vm, parent_emu) {
	}
	~RTCIF() {}
	
	// common functions
	void write_io8(uint32 addr, uint32 data) {
		switch (addr&1) {
		case 0:
			adrs = data&15;
			break;
		default:
			d_rtc->write_io8(adrs, data&0x0F);
			break;
		}
	}
	uint32 read_io8(uint32 addr) {
		return d_rtc->read_io8(adrs);
	}
	
	// unique functions
	void set_context_rtc(DEVICE* device) {
		d_rtc = device;
	}
};

#endif

